> For the complete documentation index, see [llms.txt](https://docs.ordinalsbot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ordinalsbot.com/api/order-types.md).

# Order Types

We have the following order types.

```javascript
const RUNE_ETCH = 'rune-etch';
const RUNE_MINT = 'rune-mint';
const BULK = 'bulk';
const DIRECT = 'direct';
const BRC20 = 'brc20';
const RUNE_LAUNCHPAD_MINT = 'rune-launchpad-mint';
```

Each order type corresponds to an endpoint. Here is the full table:

| order type          | endpoint                                               |
| ------------------- | ------------------------------------------------------ |
| bulk                | [/order](broken://pages/DZ49lzL7RFQn0H2WdHE1)          |
| brc20               | [/order](broken://pages/DZ49lzL7RFQn0H2WdHE1)          |
| direct              | [/inscribe](/api/create-a-direct-inscription-order.md) |
| rune-etch           | [/runes/etch](/runes/etch.md)                          |
| rune-mint           | [/runes/mint](/runes/mint.md)                          |
| rune-launchpad-mint | [/runes/launchpad/mint](/runes/launchpad/mint.md)      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/api/order-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
